# Uses of Class
org.apache.sling.testing.mock.jcr.MockQuery

## Uses of MockQuery in org.apache.sling.testing.mock.jcr

Methods in org.apache.sling.testing.mock.jcr with parameters of type MockQuery
Modifier and Type
Method
Description
`MockQueryResult`
MockQueryResultHandler.`executeQuery(MockQuery query)`
Checks if this handler accepts the given query, and returns the result if this is the case.